Package org.gdal.gdal

## Class Group

- java.lang.Object
- - org.gdal.gdal.Group

-     public class Group
      extends java.lang.Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Attribute` | `CreateAttribute​(java.lang.String name, long[] dimensions, ExtendedDataType data_type)` |
    `Attribute` | `CreateAttribute​(java.lang.String name, long[] dimensions, ExtendedDataType data_type, java.util.Vector options)` |
    `Dimension` | `CreateDimension​(java.lang.String name, java.lang.String dim_type, java.lang.String direction, long size)` |
    `Dimension` | `CreateDimension​(java.lang.String name, java.lang.String dim_type, java.lang.String direction, long size, java.util.Vector options)` |
    `Group` | `CreateGroup​(java.lang.String name)` |
    `Group` | `CreateGroup​(java.lang.String name, java.util.Vector options)` |
    `MDArray` | `CreateMDArray​(java.lang.String name, Dimension[] dimensions, ExtendedDataType data_type)` |
    `MDArray` | `CreateMDArray​(java.lang.String name, Dimension[] dimensions, ExtendedDataType data_type, java.util.Vector options)` |
    `void` | `delete()` |
    `int` | `DeleteAttribute​(java.lang.String name)` |
    `int` | `DeleteAttribute​(java.lang.String name, java.util.Vector options)` |
    `int` | `DeleteGroup​(java.lang.String name)` |
    `int` | `DeleteGroup​(java.lang.String name, java.util.Vector options)` |
    `int` | `DeleteMDArray​(java.lang.String name)` |
    `int` | `DeleteMDArray​(java.lang.String name, java.util.Vector options)` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `Attribute` | `GetAttribute​(java.lang.String name)` |
    `ExtendedDataType` | `GetDataType​(long idx)` |
    `long` | `GetDataTypeCount()` |
    `java.lang.String` | `GetFullName()` |
    `java.util.Vector` | `GetGroupNames()` |
    `java.util.Vector` | `GetGroupNames​(java.util.Vector options)` |
    `java.util.Vector` | `GetMDArrayFullNamesRecursive()` |
    `java.util.Vector` | `GetMDArrayFullNamesRecursive​(java.util.Vector groupOptions)` |
    `java.util.Vector` | `GetMDArrayFullNamesRecursive​(java.util.Vector groupOptions, java.util.Vector arrayOptions)` |
    `java.util.Vector` | `GetMDArrayNames()` |
    `java.util.Vector` | `GetMDArrayNames​(java.util.Vector options)` |
    `java.lang.String` | `GetName()` |
    `java.util.Hashtable` | `GetStructuralInfo()` |
    `java.util.Vector` | `GetVectorLayerNames()` |
    `java.util.Vector` | `GetVectorLayerNames​(java.util.Vector options)` |
    `int` | `hashCode()` |
    `Group` | `OpenGroup​(java.lang.String name)` |
    `Group` | `OpenGroup​(java.lang.String name, java.util.Vector options)` |
    `Group` | `OpenGroupFromFullname​(java.lang.String name)` |
    `Group` | `OpenGroupFromFullname​(java.lang.String name, java.util.Vector options)` |
    `MDArray` | `OpenMDArray​(java.lang.String name)` |
    `MDArray` | `OpenMDArray​(java.lang.String name, java.util.Vector options)` |
    `MDArray` | `OpenMDArrayFromFullname​(java.lang.String name)` |
    `MDArray` | `OpenMDArrayFromFullname​(java.lang.String name, java.util.Vector options)` |
    `Layer` | `OpenVectorLayer​(java.lang.String name)` |
    `Layer` | `OpenVectorLayer​(java.lang.String name, java.util.Vector options)` |
    `int` | `Rename​(java.lang.String newName)` |
    `MDArray` | `ResolveMDArray​(java.lang.String name, java.lang.String starting_point)` |
    `MDArray` | `ResolveMDArray​(java.lang.String name, java.lang.String starting_point, java.util.Vector options)` |
    `Group` | `SubsetDimensionFromSelection​(java.lang.String selection)` |
    `Group` | `SubsetDimensionFromSelection​(java.lang.String selection, java.util.Vector options)` |

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### delete

          public void delete()

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### GetName

          public java.lang.String GetName()

    - #### GetFullName

          public java.lang.String GetFullName()

    - #### GetMDArrayNames

          public java.util.Vector GetMDArrayNames​(java.util.Vector options)

    - #### GetMDArrayNames

          public java.util.Vector GetMDArrayNames()

    - #### GetMDArrayFullNamesRecursive

          public java.util.Vector GetMDArrayFullNamesRecursive​(java.util.Vector groupOptions,
                                                               java.util.Vector arrayOptions)

    - #### GetMDArrayFullNamesRecursive

          public java.util.Vector GetMDArrayFullNamesRecursive​(java.util.Vector groupOptions)

    - #### GetMDArrayFullNamesRecursive

          public java.util.Vector GetMDArrayFullNamesRecursive()

    - #### OpenMDArray

          public MDArray OpenMDArray​(java.lang.String name,
                                     java.util.Vector options)

    - #### OpenMDArray

          public MDArray OpenMDArray​(java.lang.String name)

    - #### OpenMDArrayFromFullname

          public MDArray OpenMDArrayFromFullname​(java.lang.String name,
                                                 java.util.Vector options)

    - #### OpenMDArrayFromFullname

          public MDArray OpenMDArrayFromFullname​(java.lang.String name)

    - #### ResolveMDArray

          public MDArray ResolveMDArray​(java.lang.String name,
                                        java.lang.String starting_point,
                                        java.util.Vector options)

    - #### ResolveMDArray

          public MDArray ResolveMDArray​(java.lang.String name,
                                        java.lang.String starting_point)

    - #### GetGroupNames

          public java.util.Vector GetGroupNames​(java.util.Vector options)

    - #### GetGroupNames

          public java.util.Vector GetGroupNames()

    - #### OpenGroup

          public Group OpenGroup​(java.lang.String name,
                                 java.util.Vector options)

    - #### OpenGroup

          public Group OpenGroup​(java.lang.String name)

    - #### OpenGroupFromFullname

          public Group OpenGroupFromFullname​(java.lang.String name,
                                             java.util.Vector options)

    - #### OpenGroupFromFullname

          public Group OpenGroupFromFullname​(java.lang.String name)

    - #### GetVectorLayerNames

          public java.util.Vector GetVectorLayerNames​(java.util.Vector options)

    - #### GetVectorLayerNames

          public java.util.Vector GetVectorLayerNames()

    - #### OpenVectorLayer

          public Layer OpenVectorLayer​(java.lang.String name,
                                       java.util.Vector options)

    - #### OpenVectorLayer

          public Layer OpenVectorLayer​(java.lang.String name)

    - #### GetAttribute

          public Attribute GetAttribute​(java.lang.String name)

    - #### GetStructuralInfo

          public java.util.Hashtable GetStructuralInfo()

    - #### CreateGroup

          public Group CreateGroup​(java.lang.String name,
                                   java.util.Vector options)

    - #### CreateGroup

          public Group CreateGroup​(java.lang.String name)

    - #### DeleteGroup

          public int DeleteGroup​(java.lang.String name,
                                 java.util.Vector options)

    - #### DeleteGroup

          public int DeleteGroup​(java.lang.String name)

    - #### CreateDimension

          public Dimension CreateDimension​(java.lang.String name,
                                           java.lang.String dim_type,
                                           java.lang.String direction,
                                           long size,
                                           java.util.Vector options)

    - #### CreateDimension

          public Dimension CreateDimension​(java.lang.String name,
                                           java.lang.String dim_type,
                                           java.lang.String direction,
                                           long size)

    - #### CreateMDArray

          public MDArray CreateMDArray​(java.lang.String name,
                                       Dimension[] dimensions,
                                       ExtendedDataType data_type,
                                       java.util.Vector options)

    - #### CreateMDArray

          public MDArray CreateMDArray​(java.lang.String name,
                                       Dimension[] dimensions,
                                       ExtendedDataType data_type)

    - #### DeleteMDArray

          public int DeleteMDArray​(java.lang.String name,
                                   java.util.Vector options)

    - #### DeleteMDArray

          public int DeleteMDArray​(java.lang.String name)

    - #### CreateAttribute

          public Attribute CreateAttribute​(java.lang.String name,
                                           long[] dimensions,
                                           ExtendedDataType data_type,
                                           java.util.Vector options)

    - #### CreateAttribute

          public Attribute CreateAttribute​(java.lang.String name,
                                           long[] dimensions,
                                           ExtendedDataType data_type)

    - #### DeleteAttribute

          public int DeleteAttribute​(java.lang.String name,
                                     java.util.Vector options)

    - #### DeleteAttribute

          public int DeleteAttribute​(java.lang.String name)

    - #### Rename

          public int Rename​(java.lang.String newName)

    - #### SubsetDimensionFromSelection

          public Group SubsetDimensionFromSelection​(java.lang.String selection,
                                                    java.util.Vector options)

    - #### SubsetDimensionFromSelection

          public Group SubsetDimensionFromSelection​(java.lang.String selection)

    - #### GetDataTypeCount

          public long GetDataTypeCount()

    - #### GetDataType

          public ExtendedDataType GetDataType​(long idx)